View Issue Details

IDProjectCategoryView StatusLast Update
0033655LazarusLCLpublic2018-09-06 19:42
ReporterChris Rorden Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
PlatformMacBook 2012 Retina 13"OSDarwin 
Product Version1.9 (SVN) 
Summary0033655: Cocoa: Feature request for alert sheet and notifications
DescriptionThe new TmacOSFormProp component provides some useful macOS specific features
 http://wiki.freepascal.org/macosext
I would like to propose that the ability to add notifications and alert sheets is added. I am not sure the best was to integrate these, but I provide a sample project that demonstrates these, with some of the code taken from
  https://forum.lazarus.freepascal.org/index.php/topic,23977.15.html
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Chris Rorden

2018-04-26 14:59

reporter  

Chris Rorden

2018-04-29 00:42

reporter   ~0108054

Please set this issue as fixed/closed, as this is now included: http://wiki.freepascal.org/macOS_extensions#PromptUserSheet

Issue History

Date Modified Username Field Change
2018-04-26 14:59 Chris Rorden New Issue
2018-04-26 14:59 Chris Rorden File Added: alertsheet_notifications.zip
2018-04-29 00:42 Chris Rorden Note Added: 0108054
2018-09-06 19:42 Dmitry Boyarintsev LazTarget => -
2018-09-06 19:42 Dmitry Boyarintsev Status new => resolved
2018-09-06 19:42 Dmitry Boyarintsev Resolution open => no change required
2018-09-06 19:42 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2018-09-06 19:42 Dmitry Boyarintsev Status resolved => closed